# Script for preparing images and calibration data 
#   for Yasutaka Furukawa's PMVS system

BUNDLER_BIN_PATH= ~/bundler/bin # Edit this line before running
#if [ "$BUNDLER_BIN_PATH" == "" ] ; then echo Please edit prep_pmvs.sh to specify the path to the  bundler binaries.; exit; fi
# Apply radial undistortion to the images
~/bundler/bin/RadialUndistort list.txt bundle/bundle.out pmvs

# Create directory structure
mkdir -p pmvs/txt/
mkdir -p pmvs/visualize/
mkdir -p pmvs/models/

# Copy and rename files
mv pmvs/./ST_2420699983_v.rd.jpg pmvs/visualize/00000000.jpg
mv pmvs/00000000.txt pmvs/txt/
mv pmvs/./ST_2420708174_v.rd.jpg pmvs/visualize/00000001.jpg
mv pmvs/00000001.txt pmvs/txt/
mv pmvs/./ST_2420716366_v.rd.jpg pmvs/visualize/00000002.jpg
mv pmvs/00000002.txt pmvs/txt/
mv pmvs/./ST_2420724574_v.rd.jpg pmvs/visualize/00000003.jpg
mv pmvs/00000003.txt pmvs/txt/
mv pmvs/./ST_2420732749_v.rd.jpg pmvs/visualize/00000004.jpg
mv pmvs/00000004.txt pmvs/txt/
mv pmvs/./ST_2420740941_v.rd.jpg pmvs/visualize/00000005.jpg
mv pmvs/00000005.txt pmvs/txt/
mv pmvs/./ST_2420749149_v.rd.jpg pmvs/visualize/00000006.jpg
mv pmvs/00000006.txt pmvs/txt/
mv pmvs/./ST_2420757341_v.rd.jpg pmvs/visualize/00000007.jpg
mv pmvs/00000007.txt pmvs/txt/
mv pmvs/./ST_2420765516_v.rd.jpg pmvs/visualize/00000008.jpg
mv pmvs/00000008.txt pmvs/txt/
mv pmvs/./ST_2420773724_v.rd.jpg pmvs/visualize/00000009.jpg
mv pmvs/00000009.txt pmvs/txt/
mv pmvs/./ST_2420781916_v.rd.jpg pmvs/visualize/00000010.jpg
mv pmvs/00000010.txt pmvs/txt/
mv pmvs/./ST_2420790124_v.rd.jpg pmvs/visualize/00000011.jpg
mv pmvs/00000011.txt pmvs/txt/
mv pmvs/./ST_2420798316_v.rd.jpg pmvs/visualize/00000012.jpg
mv pmvs/00000012.txt pmvs/txt/
mv pmvs/./ST_2420806508_v.rd.jpg pmvs/visualize/00000013.jpg
mv pmvs/00000013.txt pmvs/txt/
mv pmvs/./ST_2420814700_v.rd.jpg pmvs/visualize/00000014.jpg
mv pmvs/00000014.txt pmvs/txt/
mv pmvs/./ST_2420822891_v.rd.jpg pmvs/visualize/00000015.jpg
mv pmvs/00000015.txt pmvs/txt/
mv pmvs/./ST_2420831083_v.rd.jpg pmvs/visualize/00000016.jpg
mv pmvs/00000016.txt pmvs/txt/
mv pmvs/./ST_2420839291_v.rd.jpg pmvs/visualize/00000017.jpg
mv pmvs/00000017.txt pmvs/txt/
mv pmvs/./ST_2420847483_v.rd.jpg pmvs/visualize/00000018.jpg
mv pmvs/00000018.txt pmvs/txt/
mv pmvs/./ST_2420855658_v.rd.jpg pmvs/visualize/00000019.jpg
mv pmvs/00000019.txt pmvs/txt/
mv pmvs/./ST_2420863866_v.rd.jpg pmvs/visualize/00000020.jpg
mv pmvs/00000020.txt pmvs/txt/
mv pmvs/./ST_2420872042_v.rd.jpg pmvs/visualize/00000021.jpg
mv pmvs/00000021.txt pmvs/txt/
mv pmvs/./ST_2420880266_v.rd.jpg pmvs/visualize/00000022.jpg
mv pmvs/00000022.txt pmvs/txt/
mv pmvs/./ST_2420888441_v.rd.jpg pmvs/visualize/00000023.jpg
mv pmvs/00000023.txt pmvs/txt/
mv pmvs/./ST_2420896633_v.rd.jpg pmvs/visualize/00000024.jpg
mv pmvs/00000024.txt pmvs/txt/
mv pmvs/./ST_2420904858_v.rd.jpg pmvs/visualize/00000025.jpg
mv pmvs/00000025.txt pmvs/txt/
mv pmvs/./ST_2420913017_v.rd.jpg pmvs/visualize/00000026.jpg
mv pmvs/00000026.txt pmvs/txt/
mv pmvs/./ST_2420921208_v.rd.jpg pmvs/visualize/00000027.jpg
mv pmvs/00000027.txt pmvs/txt/
mv pmvs/./ST_2420929416_v.rd.jpg pmvs/visualize/00000028.jpg
mv pmvs/00000028.txt pmvs/txt/
mv pmvs/./ST_2420937608_v.rd.jpg pmvs/visualize/00000029.jpg
mv pmvs/00000029.txt pmvs/txt/
mv pmvs/./ST_2420945783_v.rd.jpg pmvs/visualize/00000030.jpg
mv pmvs/00000030.txt pmvs/txt/
mv pmvs/./ST_2420954008_v.rd.jpg pmvs/visualize/00000031.jpg
mv pmvs/00000031.txt pmvs/txt/
mv pmvs/./ST_2420962183_v.rd.jpg pmvs/visualize/00000032.jpg
mv pmvs/00000032.txt pmvs/txt/
mv pmvs/./ST_2420970358_v.rd.jpg pmvs/visualize/00000033.jpg
mv pmvs/00000033.txt pmvs/txt/
mv pmvs/./ST_2420978583_v.rd.jpg pmvs/visualize/00000034.jpg
mv pmvs/00000034.txt pmvs/txt/
mv pmvs/./ST_2420986758_v.rd.jpg pmvs/visualize/00000035.jpg
mv pmvs/00000035.txt pmvs/txt/
mv pmvs/./ST_2420994934_v.rd.jpg pmvs/visualize/00000036.jpg
mv pmvs/00000036.txt pmvs/txt/
mv pmvs/./ST_2421003158_v.rd.jpg pmvs/visualize/00000037.jpg
mv pmvs/00000037.txt pmvs/txt/
mv pmvs/./ST_2421011334_v.rd.jpg pmvs/visualize/00000038.jpg
mv pmvs/00000038.txt pmvs/txt/
mv pmvs/./ST_2421019509_v.rd.jpg pmvs/visualize/00000039.jpg
mv pmvs/00000039.txt pmvs/txt/
mv pmvs/./ST_2421027733_v.rd.jpg pmvs/visualize/00000040.jpg
mv pmvs/00000040.txt pmvs/txt/
mv pmvs/./ST_2421035909_v.rd.jpg pmvs/visualize/00000041.jpg
mv pmvs/00000041.txt pmvs/txt/
mv pmvs/./ST_2421044100_v.rd.jpg pmvs/visualize/00000042.jpg
mv pmvs/00000042.txt pmvs/txt/
mv pmvs/./ST_2421052308_v.rd.jpg pmvs/visualize/00000043.jpg
mv pmvs/00000043.txt pmvs/txt/
mv pmvs/./ST_2421060484_v.rd.jpg pmvs/visualize/00000044.jpg
mv pmvs/00000044.txt pmvs/txt/
mv pmvs/./ST_2421068659_v.rd.jpg pmvs/visualize/00000045.jpg
mv pmvs/00000045.txt pmvs/txt/
mv pmvs/./ST_2421076883_v.rd.jpg pmvs/visualize/00000046.jpg
mv pmvs/00000046.txt pmvs/txt/
mv pmvs/./ST_2421085059_v.rd.jpg pmvs/visualize/00000047.jpg
mv pmvs/00000047.txt pmvs/txt/
mv pmvs/./ST_2421093234_v.rd.jpg pmvs/visualize/00000048.jpg
mv pmvs/00000048.txt pmvs/txt/
mv pmvs/./ST_2421101459_v.rd.jpg pmvs/visualize/00000049.jpg
mv pmvs/00000049.txt pmvs/txt/
mv pmvs/./ST_2421109634_v.rd.jpg pmvs/visualize/00000050.jpg
mv pmvs/00000050.txt pmvs/txt/
mv pmvs/./ST_2421117826_v.rd.jpg pmvs/visualize/00000051.jpg
mv pmvs/00000051.txt pmvs/txt/
mv pmvs/./ST_2421126034_v.rd.jpg pmvs/visualize/00000052.jpg
mv pmvs/00000052.txt pmvs/txt/
mv pmvs/./ST_2421134209_v.rd.jpg pmvs/visualize/00000053.jpg
mv pmvs/00000053.txt pmvs/txt/
mv pmvs/./ST_2421142401_v.rd.jpg pmvs/visualize/00000054.jpg
mv pmvs/00000054.txt pmvs/txt/
mv pmvs/./ST_2421150608_v.rd.jpg pmvs/visualize/00000055.jpg
mv pmvs/00000055.txt pmvs/txt/
mv pmvs/./ST_2421158784_v.rd.jpg pmvs/visualize/00000056.jpg
mv pmvs/00000056.txt pmvs/txt/
mv pmvs/./ST_2421166959_v.rd.jpg pmvs/visualize/00000057.jpg
mv pmvs/00000057.txt pmvs/txt/
mv pmvs/./ST_2421175183_v.rd.jpg pmvs/visualize/00000058.jpg
mv pmvs/00000058.txt pmvs/txt/
mv pmvs/./ST_2421183359_v.rd.jpg pmvs/visualize/00000059.jpg
mv pmvs/00000059.txt pmvs/txt/
mv pmvs/./ST_2421191534_v.rd.jpg pmvs/visualize/00000060.jpg
mv pmvs/00000060.txt pmvs/txt/
mv pmvs/./ST_2421199726_v.rd.jpg pmvs/visualize/00000061.jpg
mv pmvs/00000061.txt pmvs/txt/
mv pmvs/./ST_2421207934_v.rd.jpg pmvs/visualize/00000062.jpg
mv pmvs/00000062.txt pmvs/txt/
mv pmvs/./ST_2421216109_v.rd.jpg pmvs/visualize/00000063.jpg
mv pmvs/00000063.txt pmvs/txt/
mv pmvs/./ST_2421224301_v.rd.jpg pmvs/visualize/00000064.jpg
mv pmvs/00000064.txt pmvs/txt/
mv pmvs/./ST_2421232492_v.rd.jpg pmvs/visualize/00000065.jpg
mv pmvs/00000065.txt pmvs/txt/
mv pmvs/./ST_2421240684_v.rd.jpg pmvs/visualize/00000066.jpg
mv pmvs/00000066.txt pmvs/txt/
mv pmvs/./ST_2421248876_v.rd.jpg pmvs/visualize/00000067.jpg
mv pmvs/00000067.txt pmvs/txt/
mv pmvs/./ST_2421257067_v.rd.jpg pmvs/visualize/00000068.jpg
mv pmvs/00000068.txt pmvs/txt/
mv pmvs/./ST_2421265243_v.rd.jpg pmvs/visualize/00000069.jpg
mv pmvs/00000069.txt pmvs/txt/
mv pmvs/./ST_2421273451_v.rd.jpg pmvs/visualize/00000070.jpg
mv pmvs/00000070.txt pmvs/txt/
mv pmvs/./ST_2421281610_v.rd.jpg pmvs/visualize/00000071.jpg
mv pmvs/00000071.txt pmvs/txt/
mv pmvs/./ST_2421289818_v.rd.jpg pmvs/visualize/00000072.jpg
mv pmvs/00000072.txt pmvs/txt/
mv pmvs/./ST_2421298010_v.rd.jpg pmvs/visualize/00000073.jpg
mv pmvs/00000073.txt pmvs/txt/
mv pmvs/./ST_2421306185_v.rd.jpg pmvs/visualize/00000074.jpg
mv pmvs/00000074.txt pmvs/txt/
mv pmvs/./ST_2421314393_v.rd.jpg pmvs/visualize/00000075.jpg
mv pmvs/00000075.txt pmvs/txt/
mv pmvs/./ST_2422543206_v.rd.jpg pmvs/visualize/00000076.jpg
mv pmvs/00000076.txt pmvs/txt/
mv pmvs/./ST_2422551414_v.rd.jpg pmvs/visualize/00000077.jpg
mv pmvs/00000077.txt pmvs/txt/
mv pmvs/./ST_2422559606_v.rd.jpg pmvs/visualize/00000078.jpg
mv pmvs/00000078.txt pmvs/txt/
mv pmvs/./ST_2422567781_v.rd.jpg pmvs/visualize/00000079.jpg
mv pmvs/00000079.txt pmvs/txt/
mv pmvs/./ST_2422575989_v.rd.jpg pmvs/visualize/00000080.jpg
mv pmvs/00000080.txt pmvs/txt/
mv pmvs/./ST_2422584197_v.rd.jpg pmvs/visualize/00000081.jpg
mv pmvs/00000081.txt pmvs/txt/
mv pmvs/./ST_2422592356_v.rd.jpg pmvs/visualize/00000082.jpg
mv pmvs/00000082.txt pmvs/txt/
mv pmvs/./ST_2422600548_v.rd.jpg pmvs/visualize/00000083.jpg
mv pmvs/00000083.txt pmvs/txt/
mv pmvs/./ST_2422608772_v.rd.jpg pmvs/visualize/00000084.jpg
mv pmvs/00000084.txt pmvs/txt/
mv pmvs/./ST_2422616931_v.rd.jpg pmvs/visualize/00000085.jpg
mv pmvs/00000085.txt pmvs/txt/
mv pmvs/./ST_2422625123_v.rd.jpg pmvs/visualize/00000086.jpg
mv pmvs/00000086.txt pmvs/txt/
mv pmvs/./ST_2422633331_v.rd.jpg pmvs/visualize/00000087.jpg
mv pmvs/00000087.txt pmvs/txt/
mv pmvs/./ST_2422641506_v.rd.jpg pmvs/visualize/00000088.jpg
mv pmvs/00000088.txt pmvs/txt/
mv pmvs/./ST_2422649698_v.rd.jpg pmvs/visualize/00000089.jpg
mv pmvs/00000089.txt pmvs/txt/
mv pmvs/./ST_2422657889_v.rd.jpg pmvs/visualize/00000090.jpg
mv pmvs/00000090.txt pmvs/txt/
mv pmvs/./ST_2423460670_v.rd.jpg pmvs/visualize/00000091.jpg
mv pmvs/00000091.txt pmvs/txt/
mv pmvs/./ST_2423468862_v.rd.jpg pmvs/visualize/00000092.jpg
mv pmvs/00000092.txt pmvs/txt/
mv pmvs/./ST_2423477037_v.rd.jpg pmvs/visualize/00000093.jpg
mv pmvs/00000093.txt pmvs/txt/
mv pmvs/./ST_2423485261_v.rd.jpg pmvs/visualize/00000094.jpg
mv pmvs/00000094.txt pmvs/txt/
mv pmvs/./ST_2423493437_v.rd.jpg pmvs/visualize/00000095.jpg
mv pmvs/00000095.txt pmvs/txt/
mv pmvs/./ST_2423501628_v.rd.jpg pmvs/visualize/00000096.jpg
mv pmvs/00000096.txt pmvs/txt/
mv pmvs/./ST_2423509836_v.rd.jpg pmvs/visualize/00000097.jpg
mv pmvs/00000097.txt pmvs/txt/
mv pmvs/./ST_2423518028_v.rd.jpg pmvs/visualize/00000098.jpg
mv pmvs/00000098.txt pmvs/txt/
mv pmvs/./ST_2423526203_v.rd.jpg pmvs/visualize/00000099.jpg
mv pmvs/00000099.txt pmvs/txt/
mv pmvs/./ST_2423534411_v.rd.jpg pmvs/visualize/00000100.jpg
mv pmvs/00000100.txt pmvs/txt/
mv pmvs/./ST_2423542603_v.rd.jpg pmvs/visualize/00000101.jpg
mv pmvs/00000101.txt pmvs/txt/
mv pmvs/./ST_2424058721_v.rd.jpg pmvs/visualize/00000102.jpg
mv pmvs/00000102.txt pmvs/txt/
mv pmvs/./ST_2424066880_v.rd.jpg pmvs/visualize/00000103.jpg
mv pmvs/00000103.txt pmvs/txt/
mv pmvs/./ST_2424075088_v.rd.jpg pmvs/visualize/00000104.jpg
mv pmvs/00000104.txt pmvs/txt/
mv pmvs/./ST_2424083280_v.rd.jpg pmvs/visualize/00000105.jpg
mv pmvs/00000105.txt pmvs/txt/
mv pmvs/./ST_2424091455_v.rd.jpg pmvs/visualize/00000106.jpg
mv pmvs/00000106.txt pmvs/txt/
mv pmvs/./ST_2424099663_v.rd.jpg pmvs/visualize/00000107.jpg
mv pmvs/00000107.txt pmvs/txt/
mv pmvs/./ST_2426245955_v.rd.jpg pmvs/visualize/00000108.jpg
mv pmvs/00000108.txt pmvs/txt/
mv pmvs/./ST_2426254131_v.rd.jpg pmvs/visualize/00000109.jpg
mv pmvs/00000109.txt pmvs/txt/
mv pmvs/./ST_2426262322_v.rd.jpg pmvs/visualize/00000110.jpg
mv pmvs/00000110.txt pmvs/txt/
mv pmvs/./ST_2426270530_v.rd.jpg pmvs/visualize/00000111.jpg
mv pmvs/00000111.txt pmvs/txt/
mv pmvs/./ST_2426278706_v.rd.jpg pmvs/visualize/00000112.jpg
mv pmvs/00000112.txt pmvs/txt/
mv pmvs/./ST_2426286914_v.rd.jpg pmvs/visualize/00000113.jpg
mv pmvs/00000113.txt pmvs/txt/
mv pmvs/./ST_2426295105_v.rd.jpg pmvs/visualize/00000114.jpg
mv pmvs/00000114.txt pmvs/txt/
mv pmvs/./ST_2426303280_v.rd.jpg pmvs/visualize/00000115.jpg
mv pmvs/00000115.txt pmvs/txt/
mv pmvs/./ST_2426311505_v.rd.jpg pmvs/visualize/00000116.jpg
mv pmvs/00000116.txt pmvs/txt/
mv pmvs/./ST_2426319696_v.rd.jpg pmvs/visualize/00000117.jpg
mv pmvs/00000117.txt pmvs/txt/
mv pmvs/./ST_2426327872_v.rd.jpg pmvs/visualize/00000118.jpg
mv pmvs/00000118.txt pmvs/txt/
mv pmvs/./ST_2426336096_v.rd.jpg pmvs/visualize/00000119.jpg
mv pmvs/00000119.txt pmvs/txt/
mv pmvs/./ST_2426344271_v.rd.jpg pmvs/visualize/00000120.jpg
mv pmvs/00000120.txt pmvs/txt/
mv pmvs/./ST_2426352463_v.rd.jpg pmvs/visualize/00000121.jpg
mv pmvs/00000121.txt pmvs/txt/
mv pmvs/./ST_2426360671_v.rd.jpg pmvs/visualize/00000122.jpg
mv pmvs/00000122.txt pmvs/txt/
mv pmvs/./ST_2426368862_v.rd.jpg pmvs/visualize/00000123.jpg
mv pmvs/00000123.txt pmvs/txt/
mv pmvs/./ST_2426377038_v.rd.jpg pmvs/visualize/00000124.jpg
mv pmvs/00000124.txt pmvs/txt/
mv pmvs/./ST_2426385246_v.rd.jpg pmvs/visualize/00000125.jpg
mv pmvs/00000125.txt pmvs/txt/
mv pmvs/./ST_2426393454_v.rd.jpg pmvs/visualize/00000126.jpg
mv pmvs/00000126.txt pmvs/txt/
mv pmvs/./ST_2426401645_v.rd.jpg pmvs/visualize/00000127.jpg
mv pmvs/00000127.txt pmvs/txt/
mv pmvs/./ST_2426409837_v.rd.jpg pmvs/visualize/00000128.jpg
mv pmvs/00000128.txt pmvs/txt/
mv pmvs/./ST_2426418029_v.rd.jpg pmvs/visualize/00000129.jpg
mv pmvs/00000129.txt pmvs/txt/
mv pmvs/./ST_2426426220_v.rd.jpg pmvs/visualize/00000130.jpg
mv pmvs/00000130.txt pmvs/txt/
mv pmvs/./ST_2426434412_v.rd.jpg pmvs/visualize/00000131.jpg
mv pmvs/00000131.txt pmvs/txt/

echo "Running Bundle2Vis to generate vis.dat
"
$BUNDLER_BIN_PATH/Bundle2Vis pmvs/bundle.rd.out pmvs/vis.dat



echo @@ Sample command for running pmvs:
echo "   pmvs2 pmvs/ pmvs_options.txt"
echo "    - or - "
echo "   use Dr. Yasutaka Furukawa's view clustering algorithm to generate a set of options files."
echo "       The clustering software is available at http://grail.cs.washington.edu/software/cmvs"
